package com.example.fitbot.processing;

import java.io.InputStream;

/**
 * Class representing the input stream of the motion sensor.
 * This class will be responsible for reading the data from
 * the motion sensor and processing it, by creating a
 * server and starting a WebSocket connection with the ESP32.
 */
public class MotionInputStream extends InputStream {

    /**
     * Function for starting the listening process
     * of the motion sensor. This function will
     * @return An instance of MotionInputStream.
     */
    public static MotionInputStream startListening()
    {
        // Create server


        return null;
    }


    @Override
    public int read() {
        return 0;
    }
}
